package dev.crucifixbeta.mod.commands.impl;

import dev.crucifixbeta.mod.commands.Command;
import dev.crucifixbeta.mod.modules.impl.misc.ShulkerViewer;
import java.util.List;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.ItemStack;

@Environment(EnvType.CLIENT)
public class PeekCommand extends Command {
   private static final ItemStack[] ITEMS;

   public PeekCommand() {
      super("peek", "");
   }

   @Override
   public void runCommand(String[] parameters) {
      ShulkerViewer.openContainer(mc.player.getMainHandStack(), ITEMS, true);
   }

   @Override
   public String[] getAutocorrect(int count, List<String> seperated) {
      return null;
   }

   static {

      ITEMS = new ItemStack[27];
   }
}
